package dev.adriankuta.flights.model.datasource.airports

import dev.adriankuta.flights.model.datasource.airports.entities.AirportInfoModel
import dev.adriankuta.flights.model.datasource.shared.Cache
import dev.adriankuta.model.data.api.entities.AirportResponse
import kotlinx.coroutines.flow.StateFlow

interface AirportsDatasource {

    val airports: StateFlow<Cache<List<AirportInfoModel>>>

    suspend fun setAirportsInfo(airports: List<AirportResponse>, cacheKey: String)
}
